<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

	<head>
		<title>[%$ESPCMS_SOFT_TITLE%]</title>
		<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<link href="[%$ESPCMS_ADMIN_TEMPLATES_URL%]css/espcms_style_font_icon.css" rel="stylesheet" type="text/css" />
		<link href="[%$ESPCMS_ADMIN_TEMPLATES_URL%]css/espcms_style_public.css" rel="stylesheet" type="text/css" />
		<link href="[%$ESPCMS_ADMIN_TEMPLATES_URL%]css/espcms_all.css" rel="stylesheet" type="text/css" />
		<link href="[%$ESPCMS_ADMIN_TEMPLATES_URL%]css/espcms_style_font_icon.css" rel="stylesheet" type="text/css" />
		<link href="[%$ESPCMS_ADMIN_TEMPLATES_URL%]css/espcms_framework.css" rel="stylesheet" type="text/css" />
		<link href="[%$ESPCMS_ADMIN_TEMPLATES_URL%]css/espcms_select.css" rel="stylesheet" type="text/css" />
		<link href="[%$ESPCMS_ADMIN_TEMPLATES_URL%]css/file.css" rel="stylesheet" type="text/css" />
		<script type="text/javascript" src="[%ESPCMS_ADMIN_URL%]js/jquery.min.js"></script>
		<script type="text/javascript" src="[%ESPCMS_ADMIN_URL%]js/jquery-ui.min.js"></script>
		<script type="text/javascript" src="[%ESPCMS_ADMIN_URL%]js/jquery.cookie.js"></script>
		<script type="text/javascript" src="[%ESPCMS_ADMIN_URL%]js/md5.js"></script>
		<script type="text/javascript" src="[%ESPCMS_ADMIN_URL%]js/json.js"></script>
		<script type="text/javascript" src="[%ESPCMS_ADMIN_URL%]js/bootstrap.js"></script>
		<script type="text/javascript" src="[%ESPCMS_ADMIN_URL%]js/lngpack_cn.js"></script>
		<script type="text/javascript" src="[%ESPCMS_ADMIN_URL%]js/espcms_form.js"></script>
		<script type="text/javascript" src="[%ESPCMS_ADMIN_URL%]js/espcms_formvalidation.js"></script>
		<script type="text/javascript" src="[%ESPCMS_ADMIN_URL%]js/espcms_dialog.js"></script>
		<script type="text/javascript" src="[%ESPCMS_ADMIN_URL%]js/espcms_function.js"></script>
		<script type="text/javascript" src="[%ESPCMS_ADMIN_URL%]js/espcms_page.js"></script>
		<script type="text/javascript" src="[%ESPCMS_ADMIN_URL%]js/espcms_select.js"></script>
		<script type="text/javascript" src="[%ESPCMS_ADMIN_URL%]js/espcms_checkbox.js"></script>
		<script type="text/javascript" src="[%ESPCMS_ADMIN_URL%]js/espcms_select_checkbox.js"></script>
		<script type="text/javascript" src="[%ESPCMS_ADMIN_URL%]js/espcms_batch.js"></script>
		<script type="text/javascript" src="[%ESPCMS_ADMIN_URL%]js/iframeResizer.contentWindow.min.js"></script>
		<script type="text/javascript" src="[%ESPCMS_ADMIN_URL%]js/espcms_tab.js"></script>
		<script type="text/javascript">
			$(document).ready(function () {
				banpageKey();
				loading('ajax_list');

				$('.refresh').click(function () {
					loading('ajax_list');
				});
				$('.espcms_screen').espcms_screen({formname: 'ajax_list'});
				add_espcms_window_tab();
			});

			function search_list(queryString, formName) {

				var listurl = $('#listurl').val();
				queryString = queryString ? queryString + '&dirname=' + '&up_dirname=' : 'dirname=' + '&up_dirname=';

				var loadingurl = espcms_combine_url(queryString, listurl);

				$('#listurl').val(loadingurl);
				loading();
			}

			function loading(formname) {
				var listurl = $('#listurl').val();
				$.ajax({
					type: "get", url: listurl, global: false,
					beforeSend: function () {
						$('#loadingtable').show();
					},
					success: function (data) {
						$('#loadingtable').hide();
						$('#loadingstr').empty().append(data);
						add_espcms_window_tab();

						$('.filecheck').unbind('click').bind('click', function () {
							var dirname = $(this).attr("dir-name");
							var up_dirname = $(this).attr("updir-name");

							var load_url_key = "dirname=" + dirname + '&up_dirname=' + up_dirname;
							listurl = espcms_combine_url(load_url_key, listurl);
							$('#listurl').val(listurl);
							loading();
							return false;
						});

						[%if @this->power('delTemplateFile')%]
						$('.info_del').unbind('click').bind('click', function () {
							var template_type = $(this).attr("template_type");
							var filename = $(this).attr("filename");
							var filepath = $(this).attr("filepath");
							var dialog_html = '<div id="espcms_are_del_dialog" title="[%pack:public_pack-espcms_dialog_title%]" class="displaynone">' +
								'<p><span class="espcms_icon_fa espcms_icon_fa-exclamation-circle" style="float:left;margin:0 3px 0px 0;padding-top:4px;"></span>[%pack:public_pack-espcms_message_del_warning%]</p>' +
								'</div>';
							parent.$("body").append(dialog_html);
							var botton = [
								{
									text: "[%pack:botton_pack-espcms_botton_del_ok%]",
									class: "btn btn-danger",
									click: function () {
										$.ajax({
											type: "post",
											url: '[%$link.del%]',
											global: false,
											dataType: 'json',
											data: {'open_type': template_type, 'open_file': filename, 'open_path': filepath},
											success: function (data) {
												if (data.code === 'true') {
													loading();

													parent.$.espcms_sticky(data.message, {'autoclose': 1500});
												} else {
													parent.$.espcms_sticky('[%pack:public_pack-espcms_message_del_no%]', {'autoclose': 1500});
												}
											}
										});
										parent.$(this).dialog("close");
									}
								}, {
									text: "[%pack:botton_pack-espcms_botton_del_no%]",
									class: "btn btn-lightgray",
									click: function () {
										parent.$(this).dialog("close");
									}
								}
							];
							parent.espcms_public_dialog('espcms_are_del_dialog', botton, 630);
							return false;
						});
						[%/if%]
					}
				});
			}
		</script>
	</head>

	<body class="espcms_style_all">
		<div class="main">
			<div class="espcms_center_content_list vt">

				<div class="panel_list_button kill_copy">
					<div class="btn-group espcms_menu_screen">
						<button type="button" class="btn btn-treegree btn-sm dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true"><span class="espcms_icon_fa espcms_icon_fa-filter" aria-hidden="true"></span> [%pack:botton_pack-espcms_botton_screen%] <span class="caret"></span></button>
						<ul class="dropdown-menu" id="bat_botton">
							<li class="dropdown-submenu">
								<a href="#"><span class="espcms_icon_fa" aria-hidden="true"></span>[%pack:templates_pack-espcms_template_type%]</a>
								<ul class="dropdown-menu">
									<li class="espcms_screen hover" data-field="template_type" data-value="web"><a><span class="espcms_icon_fa" aria-hidden="true"></span>[%pack:templates_pack-espcms_template_type_web%]</a></li>
									<li class="espcms_screen" data-field="template_type" data-value="wap"><a><span class="espcms_icon_fa" aria-hidden="true"></span>[%pack:templates_pack-espcms_template_type_wap%]</a></li>
								</ul>
							</li>
						</ul>
					</div>
					<button class="btn btn-lightgray btn-sm refresh"><span class="espcms_icon_fa espcms_icon_fa-refresh" aria-hidden="true"></span>[%pack:botton_pack-espcms_botton_refresh%]</button>
				</div>
				<div class="panel">
					<form name="ajax_list" method="post" id="ajax_list">
						<input type="hidden" name="listurl" id="listurl" value="[%$link.list%]"/>
						<input type="hidden" name="loadname" id="loadname" value="#loadingstr"/>
						<div id="loadingtable" class="displaynone"><div class="loading_pic"></div></div>
						<div class="panel-body p0" id="loadingstr"></div>
						<div class="panel-menu kill_copy panel_page_button">
							<div class="right">
								<div class="btn-toolbar" role="toolbar" id="page_botton_list"></div>
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>
	</body>
</html>
